View Issue Details

IDProjectCategoryView StatusLast Update
13425Bug reports[All Projects] Otherpublic2018-03-05 17:31
Reportercdorin Assigned Toollehar  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4.x 
Summary13425: Cannot add subquestions and answer options
Description

So, I cannot at the moment any subquestions or answer options using the "plus" button.

Steps To Reproduce

From the console, the error is happening here: http://localhost/tmp/assets/fefaf5ea/subquestions.js:288:28

Response json:
<!-- Inserted Row --> <!-- subquestion row --> <tr id='row_en_new71714_0' class="row-container" data-common-id="new71714_0"> <!-- Move icon --> <td class="move-icon" > <span class="fa fa-bars bigIcons"></span> </td> <!-- Code (title) --> <td class="code-title" style="vertical-align: middle;"> <input type='text' class="code form-control input" id='code_new71714_0' …s"> <button class="btn btn-default btn-sm btnaddanswer"><i class="icon-add text-success" data-code="SQ5" data-toggle="tooltip" data-scale-id="0" data-placement="bottom" title="Insert a new subquestion after this one"></i></button> <button class="btn btn-default btn-sm btndelanswer"><i class="fa fa-trash text-danger" data-toggle="tooltip" data-placement="bottom" title="Delete this subquestion"></i></button> </td> </tr> <!-- end of Inserted Row -->

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.4.3
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)irrelevant
Webserver software & version (if known)irrelevant
PHP Versionirrelevant

Activities

ollehar

ollehar

2018-02-28 15:06

administrator   ~46840

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=26622

Related Changesets

LimeSurvey: master b74734ba

2018-02-28 15:04:41

ollehar

Details Diff
Fixed issue 13425: Cannot add subquestions and answer options with plus button Affected Issues
13425
mod - assets/scripts/admin/subquestions.js Diff File

LimeSurvey: master 2a473af4

2018-02-28 15:06:24

ollehar

Details Diff
Fixed issue 13425: Cannot add subquestions and answer options with plus button Affected Issues
13425
mod - assets/scripts/admin/answers.js Diff File

Issue History

Date Modified Username Field Change
2018-02-27 15:19 cdorin New Issue
2018-02-27 15:19 cdorin Status new => assigned
2018-02-27 15:19 cdorin Assigned To => ollehar
2018-02-28 15:06 ollehar Changeset attached => LimeSurvey master b74734ba
2018-02-28 15:06 ollehar Changeset attached => LimeSurvey master 2a473af4
2018-02-28 15:06 ollehar Note Added: 46840
2018-02-28 15:06 ollehar Resolution open => fixed
2018-02-28 15:11 ollehar Status assigned => resolved
2018-02-28 15:11 ollehar Fixed in Version => 3.4.x
2018-03-05 17:31 ollehar Status resolved => closed